Add information to a User

Updates specific fields of an existing User without overwriting the entire
record. Only the properties included in the request body will be modified;
all other data remains unchanged.

This endpoint is useful for incremental updates, such as adding new contact
details, updating addresses, or modifying optional profile fields.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum

Type of User which represents the legal entity involved in the API action

Allowed:
addresses
array of objects
length ≤ 100
addresses
piis
array of objects
length ≤ 5000
piis
emails
array of objects
length ≤ 100
emails
devices
array of objects
length ≤ 100
devices
phones
array of objects
length ≤ 100
phones
name
object
string
length between 1 and 1
^[0129MmfFoOnNuU]

ISO/IEC 5218 / vCard4

string
length ≤ 10
^(-?(?:[1-9][0-9]*)?[0-9]{4})-(1[0-2]|0[1-9])-(3[01]|0[1-9]|[12][0-9])$

ISO 8601

string
length ≤ 200
^([A-Za-z][A-Za-z],?)+

Comma separated list of ISO 3166 alpha 1 country codes

string
required
length ≤ 255
^[a-z0-9_-]{3,255}$

Unique identifier for this User. This value MUST be chosen and stored at User creation time.

string
enum

Status of the User. Only ACTIVE Users can appear in API calls. Calls containing INACTIVE or BLOCKED Users will result in an error. The status cannot be set via API calls that create or update Users. If it is passed in User creation or modification calls, it will be silently ignored.

Allowed:
string
enum

Reason explaining why the status is BLOCKED or INACTIVE. Same rules as the status field apply.

tags
array of objects
length ≤ 100

Tag that characterizes the User. Used for internal classification purposes.

tags
Allowed:
paymentInformation
array of objects
length ≤ 100
paymentInformation
string
length ≤ 255
^[ -~]*$
string
length ≤ 40
^(?:[1-9]\d{3}-(?:(?:0[1-9]|1[0-2])-(?:0[1-9]|1\d|2[0-8])|(?:0[13-9]|1[0-2])-(?:29|30)|(?:0[13578]|1[02])-31)|(?:[1-9]\d(?:0[48]|[2468][048]|[13579][26])|(?:[2468][048]|[13579][26])00)-02-29)T(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d{1,9})?(?:Z|[+-][01]\d:[0-5]\d)

Optional ISO-8601 value. Used to provide the date the User was created in your system. If left empty, it will be populated at current time.

userPtiMeta
object

key/value map of extra meta data for this request (used by PTI)

userClientMeta
object

key/value map of extra meta data for this request (used by Client)

Headers
string
required
length ≤ 64
^[a-z0-9_-]{3,64}$

Client ID provided to you during onboarding.

Responses

404

User not found

429

Too many requests

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json